QGIS Application - Bug report #19392
Problem to open protocol Links GeoJSON
2018-07-11 03:12 PM - Jean-Louis Stanus

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.18.20 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27220
Description

When i try to open links as exemple :

- https://raw.github.com/geobabbler/geodata/master/geojson/leonardtown bldgs.geojson

- https://d2ad6b4ur7yvpg.cloudfront.net/naturalearth-3.3.0/ne_110m_admin_1_states_provinces_shp.geojson

- https://www.nanaimo.ca/crimereporting/api/incidents.geojson

it generates errors as seen on pictures.

If the same service exists without ssl/https (so http), it can be opened without any problem.
The problem is the same in 3.2 windows.

OS : Windows 10 - 64 bits
Versions : 2.18.21 /3.2
Builds : OSGEO4w

| tested on linux ubuntu 16.04 ppa build. All the links are opened without error.

Additional informations :
https://gis.stackexchange.com/questions/242559/error-when-add-geojson-protocol-layer-in-qgis ?noredirect=1#comment463434 242559

History

#1 - 2018-09-10 07:13 PM - joe larson

Guessing this is a duplicate of https://issues.qgis.org/issues/17947

#2 - 2018-09-10 08:30 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

Closing the older one as the newer has more details.

Files
open_url_geojson.PNG 259 KB 2018-07-11 Jean-Louis Stanus
open_url_geojson.PNG 259 KB 2018-07-11 Jean-Louis Stanus
